# std::__exception_ptr::exception_ptr Class Reference
[Exceptions]

An opaque pointer to an arbitrary exception. More...

List of all members.

## Public Types

- typedef void(exception_ptr::* __safe_bool )()

## Public Member Functions

- exception_ptr (__safe_bool) throw ()
- exception_ptr (exception_ptr &&__o) throw ()
- exception_ptr (const exception_ptr &) throw ()
- const type_info * __cxa_exception_type () const __attribute__((__pure__)) throw ()
- exception_ptr & operator= (const exception_ptr &) throw ()
- exception_ptr & operator= (exception_ptr &&__o) throw ()
- void swap (exception_ptr &) throw ()

## Friends

- bool operator== (const exception_ptr &, const exception_ptr &) __attribute__((__pure__)) throw ()
- exception_ptr std::current_exception () throw ()
- void std::rethrow_exception (exception_ptr)

## Detailed Description

An opaque pointer to an arbitrary exception.

Definition at line 73 of file exception_ptr.h.

The documentation for this class was generated from the following file:

- exception_ptr.h